List rate cards
curl --request POST \
--url https://api.metronome.com/v1/contract-pricing/rate-cards/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.metronome.com/v1/contract-pricing/rate-cards/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.metronome.com/v1/contract-pricing/rate-cards/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "Test rate card",
"description": "Test rate card description",
"fiat_credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
},
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob",
"aliases": [],
"custom_fields": {
"x_account_id": "KyVnHhSBWl7eY2bl"
}
}
],
"next_page": null
}Rate cards
List rate cards
List all rate cards. Returns rate card IDs, names, descriptions, aliases, and other details. To view the rates associated with a given rate card, use the getRates or getRateSchedule endpoints.
POST
/
v1
/
contract-pricing
/
rate-cards
/
list
List rate cards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Max number of results that should be returned
Required range:
1 <= x <= 100Cursor that indicates where the next page of results should start.
Body
application/json
The body is of type object.
⌘I